<?php
@session_start();
$vg_login=$_SESSION["usuario"];
$vg_empresa=$_SESSION["empresa"];

if($vg_login<>""){}
else
{echo "<script>";
 echo "window.location='../index.php';";
 echo "</script>";
}
	
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
					  where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
	  { $vg_nombre=$datos[1];
		$vg_perfil=$datos[2];				
	  } 
//permisos a formularios
$modulo="ParametrosG_pais";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);

if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=Parametros_Productos';";
echo "</script>";
}


include "../parametros.php"; 
include "../conexion.php";
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html><head>
<title><?php echo $nombreprograma; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="icon" type="image/png" href="../icono.ico"/>
<link href="../general.css" rel="stylesheet" type="text/css">
<script src="../js/jquery.min.js"></script>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

<link rel="stylesheet" type="text/css" href="../src/plugins/datatables/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" type="text/css" href="../src/plugins/datatables/css/responsive.bootstrap4.min.css">
  
 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>

</head>

<BODY onLoad="frmempleados.id.focus();">
<?php
$tabla=$_REQUEST["tabla"];
include "../conexion.php";
$id=""; $nombre=""; $estado="";$nombreformulario="";
$rs_estado=mysqli_query($conexion,"SELECT id,nombre FROM estado where tipo='PARAMETROS' order by nombre asc");

	if($_REQUEST["id"]<>'')
	{  		      $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM pais  
				  						   where id='".$_REQUEST["id"]."'");
				  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
	              if($contar>=1)
                    {$sql_datos =mysqli_query($conexion,"select id,nombre,estado,codigo
											  FROM pais
                                              where id='".$_REQUEST["id"]."'");
							while($datos= mysqli_fetch_row($sql_datos))
							{ 
								$id=$datos[0]; 						
								$nombre=$datos[1]; 						
								$estado=$datos[2]; 						
								$codigo=$datos[3]; 									
						   }
					}
	}


if(isset($_REQUEST['oculto']))
  { 
	$id=$_REQUEST['id'];						
	$nombre=$_REQUEST['nombre'];
	$estado=$_REQUEST['estado'];
	$codigo=$_REQUEST['codigo'];						
		
		
if($_REQUEST["oguardar"]==1)
	 {   
		  if($nombre<>"") 
		  {
			  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM pais
									   			  where nombre='".$nombre."'");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1) 
			  	{
				 $mensaje="Ya existe el registro ";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
				}
			  else
				{ $busqueda=1;
				  $sql_insert=mysqli_query($conexion,"insert into pais (nombre,estado,codigo)
										  values('".$nombre."','".$estado."','".$codigo."')"); 
				 if($sql_insert)
				    {
					  $mensaje="Se registro ";
					    ?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
					}	
				 else {
					    $mensaje="Error al registra";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
				 }				
				}
		 }
		 else {
		   $mensaje="Digite la Informacion Requerida";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
		 }				

	 }//fin guardar

if($_REQUEST["omodificar"]==1)
	 {   
		  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM pais
								  		 where id='".$id."'");
		  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
		  if($contar>=1) 
			{ $busqueda=1;
			  $sql_update=mysqli_query($conexion,"update pais set
			  									  nombre='".$nombre."',
												  estado='".$estado."',
												  codigo='".$codigo."'
												  where id='".$id."'"); 
			 if($sql_update)
			    {
				   $mensaje="Se modifico ";
					    ?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
				}	
			 else {
					  $mensaje="Error al modificar";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
			 }				
			}
		  else
		   {
		    	$mensaje="No existe el codigo del cargo";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
		    
		   }	
	 }//fin guardar


if($_REQUEST["obusca"]==1)
             {   
			     if($id<>"")
				 {
					 $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM pais
														 where id='".$id."'");
					   while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
					  if($contar>=1)
						{ $sql_datos =mysqli_query($conexion,"select id,nombre,estado,codigo
												  FROM pais
												  where id='".$id."'");
								while($datos= mysqli_fetch_row($sql_datos))
								{ 
									$id=$datos[0]; 						
									$nombre=$datos[1]; 	
									$estado=$datos[2]; 	
							   }
						}
						else
						  {
						  $mensaje="No existe el codigo";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 3000
								})
							</script>
						   <?php
						  }
						  
				  }
             }//fin buscar

	if(isset ($_REQUEST['nuevo']))
	   { 
	   		$id=""; $nombre=""; 	$estado=""; $codigo="";
	   }

  }

?>
<form name="frmempleados" method="post" action="" >
 <center>
  <div align="center">
    <div class="panel panel-primary" style="width:80%;">
      <div class="panel-heading">PAIS</div>
       <div align="center">

        <table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="7%" height="0"><div align="left" class="texto_campos">Codigo</div></td>
            <td width="21%">
              <div align="left">
                <input name="id" type="text" id="id"    value="<?php echo $id; ?>" class="form-control" />               
              </div></td>
            <td width="18%">&nbsp;</td>
            <td colspan="3"><div align="left" class="texto_campos"></div>
              <div align="left"></div></td>
            </tr>
          <tr>
            <td height="2"><div align="left" class="texto_campos">Nombre</div></td>
            <td colspan="2">
              <div align="left">
                <input name="nombre" type="text" id="nombre"   value="<?php echo $nombre; ?>" 
              onfocus="this.style.background='#ccffff'" onblur="this.style.background='#ffffff'"
              class="form-control"  style="width: 100%" />
              </div></td>
            <td width="10%"><div align="left" class="texto_campos">Codigo DIAN</div></td>
            <td colspan="2"><div align="left"><span class="texto_campos">
              <input name="codigo" type="text" id="codigo"    value="<?php echo $codigo; ?>" class="form-control" />
            </span></div></td>
            </tr>
          
          <tr>
            <td height="1"><span class="texto_campos">Estado</span></td>
            <td height="1" colspan="2"><div align="left">
              <select name="estado"  id="estado"
                            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#FFFFDD'"
                            class="form-control" data-toggle="tooltip" data-placement="right" title="Seleccione el estado del empleado" style="width: 100px" >
                <?php while ($rowba=mysqli_fetch_array($rs_estado))
									{
									 if ($estado==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
              </select>
            </div></td>
            <td height="1" colspan="3"><div align="left" class="texto_campos">
              <div align="left" class="texto_campos"></div>
            </div>              <div align="left"></div></td>
            </tr>
          
          <tr>
            <td height="1" colspan="6"><div align="center">
                <p>&nbsp;                </p>
                <p>
                  <input name="nuevo" type="submit"  id="nuevo"  value="Nuevo" class="btn btn-primary"  style="width: 100px"/>
                  <input name="guardar" type="button"  id="guardar"  value="Guardar" 
                    onclick="return pregunta_guardar();" class="btn btn-primary" style="width: 100px"/>
                  <input name="modificar" type="button"  id="modificar"  value="Modificar"
              	onclick="return pregunta_modificar();" class="btn btn-primary" style="width:100px" />
                  <input name='cerrar' type='button'  id='cerrar' value='Cerrar/Actualizar'   class="btn btn-primary" title="Clic para ver reporte"
                  onclick="window.opener.parametros.submit();window.close();" 		  style="width:150px"  />
                  <input type="hidden" name="oculto" />
                  <input name="oguardar" type="hidden" id="oguardar" />
                  <input name="omodificar" type="hidden" id="omodificar" />
                  <input name="obusca" type="hidden" id="obusca" />
                </p>
            </div></td>
          </tr>
          <tr>
            <td height="1" colspan="7"><div align="center"></div></td>
            </tr>
        </table>
        
      <?php
      $c=0;
	 			echo "<center> <table id='example1' class='table table-bordered table-striped' style='font-size:12px; width:100%' cellpadding='0' cellspacing='0'  bordercolor='#cccccc'>";
				echo "<thead><tr>";
				echo "<th class='btn-primary' align='center'>ID</th>";
				echo "<th class='btn-primary' align='center'>NOMBRE</th>";
				echo "<th class='btn-primary' align='center'>ESTADO</th>";
				echo "<th class='btn-primary' align='center'>CODIGO DIAN</th>";	
				echo "<th class='btn-primary' align='center'>MUNICIPIO /  CIUDAD</th>";	
				echo "</tr></thead>
                        <tbody>";	


				$sql_datos=mysqli_query($conexion,"select  id,nombre,estado,codigo FROM pais order by id asc");
				while($datos=mysqli_fetch_row($sql_datos))//01
				{   
				$id=$datos[0]; 						
				$nombre=$datos[1]; 	
				$estado=$datos[2]; 	
				$codigo=$datos[3]; 	
				
				$rs_estado=mysqli_query($conexion,"SELECT id,nombre FROM estado  where id='".$estado."'");
				while($datoses= mysqli_fetch_row($rs_estado)){ $nestado=$datoses[1];}
				
				if($c%2==0){$color="#EAEAEA";}
				else {$color="#BFBFBF";}
				echo " <tr>";
						 echo "<td><a href='frm_pais.php?id=$id'>".$id."</a></td>";
						 echo "<td>".$nombre."</td>";
						 echo "<td>".$nestado."</td>";
						 echo "<td>".$codigo."</td>
						        <td>";
						             ?>
						 <img src="../imagenes/help.png" width="30" height="30" title="Ayuda"  onclick="javascript:window.open('frm_parametros.php?tabla=departamento&id=','Reporteciu','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" />
						 <?php
						 echo "</td></tr>";
					$c=$c+1;
				}
				echo "</tbody></table></center>"; 
	  
	  ?>  
 </div>
 </div>
 </div>
 </center>  
  

<SCRIPT type=text/javascript>


function pregunta_guardar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {
			document.frmempleados.oguardar.value=0;		
			return false;
			}
		else
		  { document.frmempleados.oguardar.value=1; 
			document.frmempleados.submit();		
		    return true;
		  
		  	}
	   } 
	  else {
			document.frmempleados.oguardar.value=0;
			return false; 
	  }
	})
}




function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Modificar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		  retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {document.frmempleados.omodificar.value=0; 	
			return false;
			}
		else
		  { document.frmempleados.omodificar.value=1; 
			document.frmempleados.submit();			
		    return true;
	    	}
	   } 
	  else {
			document.frmempleados.omodificar.value=0;
			return false; 
	  }
	})
}

function valida_campos()
{  
	var mensaje='';
		 if(document.frmempleados.nombre.value!=''){}
		 else {mensaje=mensaje + 'Nombre,';    }
		
		if(document.frmempleados.nombre.value!=''){return true;}
		else {
			cuteAlert({
						  type: "error",
						  title: "JACOME",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
			  return false;
			 }

}

</script>



<script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  

	if (tecla==46){
        return true;
    } 
	 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>

<script language="javascript">
$(function () {
  $('[data-toggle="tooltip"]').tooltip()
})
</script>





<script src="../plugins1/jquery/jquery.min.js"></script>
<script src="../plugins1/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins1/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins1/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins1/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins1/jszip/jszip.min.js"></script>
<script src="../plugins1/pdfmake/pdfmake.min.js"></script>
<script src="../plugins1/pdfmake/vfs_fonts.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["excel", "pdf", "print", "colvis"],
	  "order": [ 0, 'asc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
   
  });
</script>

</form>
</body>
</html>
